function obj=ball(dim)
	% -- P = ball(d)    sum-norm unit ball
	%
	%    Input:
	%      d: dimension (number)
	%    Output:
	%      P: unit ball (polyh object)
	%
	%    see also: cube, cone, simplex, point, origin, space, bensolvehedron
	%
	%    for further details, see http://bensolve.org/files/manual.pdf
	if dim < 1
		error('positive dimension exptected');
	end
	rep.V=[eye(dim),-eye(dim)];
	obj=polyh(rep,'v');
end