function obj=cube(dim)
	% -- P = cube(d)    max-norm unit ball
	%
	%    Input:
	%      d: dimension
	%    Output:
	%      P: max-norm unit ball (polyh object)
	%
	%    see also: ball, cone, space, origin, point, simplex, bensolvehedron
	%
	%    for further details, see http://bensolve.org/files/manual.pdf
	if dim < 1
		error('positive dimension exptected');
	end
	rep.l=-ones(dim,1);
	rep.u=ones(dim,1);
	obj=polyh(rep,'h');
end