function obj=point(vector)
	% -- P = point(v)    point
	%
	%    Input:
	%      v: column vector
	%    Output:
	%      P: point (polyh object)
	%
	%    see also: origin, space, emptyset, ball, cube, cone, bensolvehedron
	%
	%    for further details, see http://bensolve.org/files/manual.pdf
	if size(vector,2)~=1
		error('input must be a column vector');
	end
	if size(vector,1)==0
		error('positive dimension exptected');
	end
	rep.V = vector;
	obj=polyh(rep,'v');
end